Read individual payroll data such as job title, start date, and salary

Retrieves individual payroll run data.

Response Definitions

Response ItemDescription                                         Data type
idThe ID associated with the employee on payroll. Each employee ID is assigned by NewCraft.String
attributes/{id}The ID associated with the employee on payroll. Each employee ID is assigned by NewCraft.String
attributes/{check_data}The date and time the employee was last given a paycheck during the year in question, in Zulu time.String
attributes/{pay_period_end_date}The end date of the employee's most recent pay period during the year in question, in the format "YYYY-MM-DD".String
attributes/{pay_period_start_date}The start date of the employee's most recent pay period during the year in question, in the format "YYYY-MM-DD".String

Sample Response

{
  "data": [
    {
      "id": "6cfee506-f278-4d31-b9b3-01b5505fd5b3",
      "type": "Payroll",
      "attributes": {
        "id": "6cfee506-f278-4d31-b9b3-01b5505fd5b3",
        "check_data": "2020-10-29T02:44:05Z",
        "pay_period_end_date": "2020-10-29",
        "pay_period_start_date": "2020-10-15"
      }
    }
  ]
}
Path Params
string
required

The ID associated with a particular payroll. Each payroll ID is assigned by NewCraft. You can find relevant payroll IDs by retrieving all payroll itemss in your account and taking note of the IDs associated with the relevant teams.

integer
required

The year associated with the information being accessed, given in the form "YYYY."

Response

Language
Credentials
OAuth2
URL
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/vnd.api+json